# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/Sah/Compiler/perl/TH/array.pm) perl(Data/Sah/Compiler/perl/TH/str.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(HTML/Entities.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Perinci/CmdLine/Any.pm) perl(Perinci/CmdLine/Base.pm) perl(Pod/Coverage/TrustPod.pm) perl(ShellQuote/Any/Tiny.pm) perl(String/Escape.pm) perl(String/JS.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(URI/Escape.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-EscapeUtils
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Various string escaping/unescaping utilities
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/App-EscapeUtils

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distributions provides the following command-line utilities:

=over

=item * the backslash-escape manpage

=item * the backslash-unescape manpage

=item * the html-escape manpage

=item * the html-unescape manpage

=item * the js-escape manpage

=item * the js-unescape manpage

=item * the shell-escape manpage

=item * the uri-escape manpage

=item * the uri-unescape manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

